ubuntu 12.10检查更新发生了错误,软件中心也无法打开

为当前最终发行版之前的所有版本提供支持
回复
sunmo
帖子: 6
注册时间: 2012-10-06 21:03
系统: edubuntu 12.10
送出感谢: 0
接收感谢: 0

ubuntu 12.10检查更新发生了错误,软件中心也无法打开

#1

帖子 sunmo » 2012-11-18 12:37

打开ubuntu 12.10 的时候,右上角总是提示检查更新时发生了错误,无法打开软件中心,图标亮几下就没反应了。
但是在 系统设置--详细信息里面却说系统已是最新。
这个问题困扰我很久了,之前用ubuntu 12.04的时出现了这个问题,于是就换成12.10了,但是不知道怎么的还是这样。

输入/usr/bin/software-center时,显示如下:

File "/usr/bin/software-center", line 140
print time.time()
^
SyntaxError: invalid syntax

希望各位能够帮忙解决这个问题,在下感激不尽。
附件
菜单_003.png
菜单_003.png (10.33 KiB) 查看 6552 次
头像
qq420100523
帖子: 1682
注册时间: 2009-07-31 18:56
系统: windows、ubuntu
来自: 广东阳江
送出感谢: 10 次
接收感谢: 20 次

Re: ubuntu 12.10检查更新发生了错误,软件中心也无法打开

#2

帖子 qq420100523 » 2012-11-18 12:51

首先,备份一下Ubuntu 12.10 原来的源地址列表文件

代码: 全选

sudo cp /etc/apt/sources.list /etc/apt/sources.list.old
然后进行修改

代码: 全选

sudo gedit /etc/apt/sources.list
打开sources.list后删除文档内的所有内容 将以下的内容直接复制进去

代码: 全选

#网易的源(163源,无论是不是教育网,速度都很快)
deb http://mirrors.163.com/ubuntu/ quantal main universe restricted multiverse
deb-src http://mirrors.163.com/ubuntu/ quantal main universe restricted multiverse
deb http://mirrors.163.com/ubuntu/ quantal-security universe main multiverse restricted
deb-src http://mirrors.163.com/ubuntu/ quantal-security universe main multiverse restricted
deb http://mirrors.163.com/ubuntu/ quantal-updates universe main multiverse restricted
deb http://mirrors.163.com/ubuntu/ quantal-proposed universe main multiverse restricted
deb-src http://mirrors.163.com/ubuntu/ quantal-proposed universe main multiverse restricted
deb http://mirrors.163.com/ubuntu/ quantal-backports universe main multiverse restricted
deb-src http://mirrors.163.com/ubuntu/ quantal-backports universe main multiverse restricted
deb-src http://mirrors.163.com/ubuntu/ quantal-updates universe main multiverse restricted
然后终端中运行

代码: 全选

sudo apt-get update 
即可。
想使用回官方源就打开系统设置-软件源,在里面设置一下就可以了。
sunmo
帖子: 6
注册时间: 2012-10-06 21:03
系统: edubuntu 12.10
送出感谢: 0
接收感谢: 0

Re: ubuntu 12.10检查更新发生了错误,软件中心也无法打开

#3

帖子 sunmo » 2012-11-18 13:28

你好,我按照你的方法试了下,结果还是不行,不过还是谢谢你了。
我怀疑是不是我Python的原因,那个错误好像是Python中的错误。
之前我按照自己想法以及参考别人的方法安装了Python3.3
如下:

代码: 全选

sudo rm /usr/bin/python
sudo cp /home/sunmo/Python-3.3.0/python /usr/local/python
sudo ln /usr/local/python* /usr/bin/python
sunmo
帖子: 6
注册时间: 2012-10-06 21:03
系统: edubuntu 12.10
送出感谢: 0
接收感谢: 0

Re: ubuntu 12.10检查更新发生了错误,软件中心也无法打开

#4

帖子 sunmo » 2012-11-18 13:30

你好,我按照你的方法试了下,结果还是不行,不过还是谢谢你了。
我怀疑是不是我Python的原因,那个错误好像是Python中的错误。
之前我按照自己想法以及参考别人的方法安装了Python3.3
如下:

代码: 全选

sudo rm /usr/bin/python
sudo cp /home/sunmo/Python-3.3.0/python /usr/local/python
sudo ln /usr/local/python* /usr/bin/python
sunmo
帖子: 6
注册时间: 2012-10-06 21:03
系统: edubuntu 12.10
送出感谢: 0
接收感谢: 0

Re: ubuntu 12.10检查更新发生了错误,软件中心也无法打开

#5

帖子 sunmo » 2012-11-18 23:17

原来就是python的问题,我将python3又改回py2.7了,然后就正常了,万幸。
polestart
帖子: 27
注册时间: 2012-05-11 21:37
送出感谢: 0
接收感谢: 0

Re: ubuntu 12.10检查更新发生了错误,软件中心也无法打开

#6

帖子 polestart » 2013-01-20 22:28

sunmo 写了:原来就是python的问题,我将python3又改回py2.7了,然后就正常了,万幸。
同问,怎么改回py2.7了
ycwang522
帖子: 1
注册时间: 2018-04-13 14:52
系统: ubuntu
送出感谢: 0
接收感谢: 0

Re: ubuntu 12.10检查更新发生了错误,软件中心也无法打开

#7

帖子 ycwang522 » 2018-04-13 14:54

就是Python 的锅==

将默认的Python改回原来系统自带的就好了。
回复

回到 “老旧版本支持”